package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class Dicsthj {

    public static final String TITLE = "生态环境状况指数";

    //生物丰度指数=Abio×(0.5×森林面积+0.3×水域面积+0.15×草地面积+0.05×其它面积)/区域面积*/
    public static final String Abio = "Abio";
    public static final String SLMJXS = "森林面积系数";
    public static final String SLMJ = "森林面积";
    public static final String SYMJXS = "水域面积系数";
    public static final String SYMJ = "水域面积";
    public static final String CDMJXS_1 = "草地面积系数1";
    public static final String CDMJ_1 = "草地面积1";
    public static final String QTMHJXS = "其它面积系数";
    public static final String QTMHJ = "其它面积";
    public static final String SWFDQVMJ_1 = "区域面积1";

    //植被覆盖指数=Aveg×(0.5×林地面积+0.3×草地面积+0.2×农田面积)/区域面积
    public static final String Aveg = "Aveg";
    public static final String LDMJXS = "林地面积系数";
    public static final String LDMJ = "林地面积";
    public static final String CDMJXS_2 = "草地面积系数2";
    public static final String CDMJ_2 = "草地面积2";
    public static final String NTMJXS = "农田面积系数";
    public static final String NTMJ = "农田面积";
    public static final String ZBFGQVMJ_2 = "区域面积2";

    //水网密度指数=Ariv×河流长度/区域面积+Alak×湖库( 近海) 面积/区域面积+Ares×水资源量/区域面积
    public static final String Ariv= "Ariv";
    public static final String HLCD= "河流长度";
    public static final String Alak = "Alak";
    public static final String HKMJ = "湖库( 近海) 面积";
    public static final String Ares = "Ares";
    public static final String SZYL = "水资源量";
    public static final String SWQYMJ_3 = "区域面积3";

    //土地退化指数=Aero×(0.05×轻度侵蚀面积+0.25×中度侵蚀面积+0.7×重度侵蚀面积)/区域面积
    public static final String Aero = "Aero";
    public static final String QDQSMJXS = "轻度侵蚀面积系数";
    public static final String QDQSMJ = "轻度侵蚀面积";
    public static final String ZDQSMJXS = "中度侵蚀面积系数";
    public static final String ZDQSMJ = "中度侵蚀面积";
    public static final String ZHDQSMJXS = "重度侵蚀面积系数";
    public static final String ZHDQSMJ = "重度侵蚀面积";
    public static final String TDTHQVMJ_4 = "区域面积4";

    //污染负荷指数=(ASO2×0.4×SO2 排放量+Asol×0.2×固废排放量)/区域面积+ACOD×0.4×COD
    public static final String ASO2 = "ASO2";
    public static final String SO2PFLXS = "SO2 排放量系数";
    public static final String SO2PFL = "SO2 排放量";
    public static final String Asol = "Asol";
    public static final String GFPFLXS = "固废排放量系数";
    public static final String GFPFL = "固废排放量";
    public static final String WRQVMJ_5 = "区域面积5";
    public static final String ACOD = "ACOD";
    public static final String CODXS = "COD系数";
    public static final String COD = "COD";


    public static final String SWFDZSXS = "生物丰度指数系数";
    public static final String ZBFGZSXS = "植被覆盖指数系数";
    public static final String SWMDZSXS = "水网密度指数系数";
    public static final String TDTHZSXS = "土地退化指数系数";
    public static final String HJZLZSXS = "环境质量指数系数";


  /*  public static final String STHJZTZS = "生态环境状况指数";
    public static final String SWFDZS = "生物丰度指数";
    public static final String ZBFGZS = "植被覆盖指数";
    public static final String SWMDZS = "水网密度指数";
    public static final String TDTHZS = "土地退化指数";
    public static final String HJZLZS = "环境质量指数";*/



    private static Dicsthj instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private Dicsthj(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(TITLE,TITLE);
        dicMap.put(Abio,Abio);
        dicMap.put(SLMJXS,SLMJXS);
        dicMap.put(SLMJ,SLMJ);
        dicMap.put(SYMJXS,SYMJXS);
        dicMap.put(SYMJ,SYMJ);
        dicMap.put(CDMJXS_1,CDMJXS_1);
        dicMap.put(CDMJ_1,CDMJ_1);
        dicMap.put(QTMHJXS,QTMHJXS);
        dicMap.put(QTMHJ,QTMHJ);
        dicMap.put(SWFDQVMJ_1,SWFDQVMJ_1);
        dicMap.put(Aveg,Aveg);
        dicMap.put(LDMJXS,LDMJXS);
        dicMap.put(LDMJ,LDMJ);
        dicMap.put(CDMJXS_2,CDMJXS_2);
        dicMap.put(CDMJ_2,CDMJ_2);
        dicMap.put(NTMJXS,NTMJXS);
        dicMap.put(NTMJ,NTMJ);
        dicMap.put(ZBFGQVMJ_2,ZBFGQVMJ_2);
        dicMap.put(Ariv,Ariv);
        dicMap.put(HLCD,HLCD);
        dicMap.put(Alak,Alak);
        dicMap.put(HKMJ,HKMJ);
        dicMap.put(Ares,Ares);
        dicMap.put(SZYL,SZYL);
        dicMap.put(SWQYMJ_3,SWQYMJ_3);
        dicMap.put(Aero,Aero);
        dicMap.put(QDQSMJXS,QDQSMJXS);
        dicMap.put(QDQSMJ,QDQSMJ);
        dicMap.put(ZDQSMJXS,ZDQSMJXS);
        dicMap.put(ZDQSMJ,ZDQSMJ);
        dicMap.put(ZHDQSMJXS,ZHDQSMJXS);
        dicMap.put(ZHDQSMJ,ZHDQSMJ);
        dicMap.put(TDTHQVMJ_4,TDTHQVMJ_4);
        dicMap.put(ASO2,ASO2);
        dicMap.put(SO2PFLXS,SO2PFLXS);
        dicMap.put(SO2PFL,SO2PFL);
        dicMap.put(Asol,Asol);
        dicMap.put(GFPFLXS,GFPFLXS);
        dicMap.put(GFPFL,GFPFL);
        dicMap.put(WRQVMJ_5,WRQVMJ_5);
        dicMap.put(ACOD,ACOD);
        dicMap.put(CODXS,CODXS);
        dicMap.put(COD,COD);

        dicMap.put(SWFDZSXS,SWFDZSXS);
        dicMap.put(ZBFGZSXS,ZBFGZSXS);
        dicMap.put(SWMDZSXS,SWMDZSXS);
        dicMap.put(TDTHZSXS,TDTHZSXS);
        dicMap.put(HJZLZSXS,HJZLZSXS);
    }

    public static Dicsthj getInstacne(){
        if (instance == null)
        {
            instance = new Dicsthj();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
